## org-mode 9.7.6+dfsg

=== debian/changelog ===
org-mode (9.7.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:09:00 +0900

org-mode (9.7.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 30 Jun 2024 14:36:56 -0400

org-mode (9.7.5+dfsg-1) unstable; urgency=medium

  * New upstream release that resolves CVE-2024-39331 (Closes: #1074136).
  * Rebase quilt series onto this release:
    - Drop 10-shebang.patch (unused)
    - Drop 20-links-unescaping.patch (unused)
    - Drop 0002-default-to-xprintidle.patch (merged upstream)
  * Migrate to debhelper-compat 13.
  * Declare Rules-Requires-Root: no.
  * Override "package-does-not-install-examples" and provide justification in
    debian/source/lintian-overrides.
  * Update my copyright years.
  * Declare Standards-Version: 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 24 Jun 2024 22:43:31 -0400

org-mode (9.6.28+dfsg-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: remove myself from Uploaders

  [ Nicholas D Steeves ]
  * Add myself to Uploaders.

  [ Diane Trout ]
  * Add myself to Uploaders.
  * Add pristine_tar = False to d/gbp.conf
  * New upstream release

 -- Diane Trout <diane@ghic.org>  Tue, 30 Apr 2024 20:19:27 -0700

org-mode (9.6.23+dfsg-1) unstable; urgency=high

  * Install upstream changelog.
  * New upstream release (Closes: #1067663).
  * Update FSF's copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 25 Mar 2024 15:54:00 -0400

org-mode (9.6.21+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Fri, 15 Mar 2024 10:58:08 -0700

## org-mode 9.7.15+dfsg

=== debian/changelog ===
org-mode (9.7.15+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 02 Nov 2024 19:51:29 -0400

org-mode (9.7.13+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 21 Oct 2024 08:39:46 -0400

org-mode (9.7.11+dfsg-1) unstable; urgency=medium

  * Manually download & merge antisocial & noncollaborative dgit upload.
  * New upstream version 9.7.11+dfsg.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 29 Sep 2024 20:43:44 -0400

## org-mode 9.7.19+dfsg

=== Makefile ===
# Makefile - for the org-mode distribution
# GNU make is required
#
# This file is not part of GNU Emacs

# set up environment
 include mk/default.mk	# defaults, customizable via "local.mk"
-include local.mk	# optional local customization, use default.mk as template

# default target is "all" unless overridden in local.mk
all::

# Describe valid make targets for org-mode.
.PHONY:	targets help helpall
targets:	help
help helpall::
	$(info )
	$(info Getting Help)
	$(info ============)
	$(info make help           - show brief help)
	$(info make targets        - ditto)
	$(info make helpall        - show extended help)
	$(info )
	$(info Build and Check)
	$(info ===============)
	$(info make                - build Org ELisp and all documentation)
	$(info make all            - ditto)
	$(info make compile        - build Org ELisp files)
	$(info make single         - build Org ELisp files, single Emacs per source)
	$(info make native         - build Org natively compiled Elisp files)
	$(info make autoloads      - create org-loaddefs.el to load Org in-place)
	$(info make test           - build Org ELisp files and run test suite)
	$(info make vanilla        - run Emacs with this Org-mode and no personal config)
helpall::
	$(info make test-dirty     - check without building first)
	$(info make compile-dirty  - build only stale Org ELisp files)
	$(info )
	$(info Compatibility)
	$(info =============)
	$(info make oldorg         - what the old make did: compile autoloads info)
	$(info )
	$(info Cleaning)
	$(info ========)
	$(info make clean          - remove built Org ELisp files and documentation)
	$(info make cleanall       - remove everything that can be built and all remnants)
	$(info make clean-install  - remove previous Org installation)
	$(info )
	$(info Configuration Check)
	$(info ===================)
help helpall::
	$(info make config         - check main configuration)
helpall::
	$(info make config-version - check Org version)
	$(info make config-test    - check test configuration)
	$(info make config-exe     - check executables configuration)
	$(info make config-cmd     - check command configuration)
	$(info make config-all     - check all configuration)
	$(info )
	$(info Documentation)
	$(info =============)
help helpall::
	$(info make doc            - build all documentation)
helpall::
	$(info make docs           - ditto)
help helpall::
	$(info make info           - build Info documentation)
helpall::
	$(info make html           - build HTML documentation)
	$(info make pdf            - build PDF documentation)
	$(info make card           - build reference cards)
	$(info make refcard        - ditto)
help helpall::
	$(info )
	$(info Installation)
	$(info ============)
	$(info make install        - build and install Org)
helpall::
	$(info make install-etc    - build and install files in /etc)
	$(info make install-lisp   - build and install Org Elisp files)
	$(info make install-info   - build and install Info documentation)
	$(info )
	$(info Convenience)
	$(info ===========)
	$(info make up0            - pull from upstream)
	$(info make up1            - pull from upstream, build and check)
	$(info make up2            - pull from upstream, build, check and install)
	$(info make update         - pull from upstream and build)
	$(info make update2        - pull from upstream, build and install)
	$(info make uncompiled     - combine cleanlisp and autoloads)
	$(info make local.mk       - create new local.mk as template for adaptation)
help helpall::
	$(info )
	$(info Full documentation on Worg)
	$(info ==========================)
	$(info https://orgmode.org/worg/dev/org-build-system.html)
	@echo ""

 include mk/targets.mk	# toplevel make machinery

=== debian/changelog ===
org-mode (9.7.19+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Import upstream copyright statement update, and update my copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 03 Jan 2025 17:04:05 -0500

org-mode (9.7.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Nov 2024 22:00:35 -0500

## org-mode 9.7.25+dfsg

=== debian/changelog ===
org-mode (9.7.25+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 16 Mar 2025 11:12:53 -0600

## org-mode 9.7.29+dfsg

=== debian/changelog ===
org-mode (9.7.29+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 29 Apr 2025 22:28:16 -0400

org-mode (9.7.27+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 17:47:11 -0400

=== debian/control ===
Source: org-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>,
           Diane Trout <diane@ghic.org>,
Build-Depends: debhelper-compat (= 13), dh-elpa
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://orgmode.org
Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode

Package: elpa-org
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, elpa-htmlize
Recommends: emacs, elpa-org-drill
Suggests: org-mode-doc
        , ditaa
	, elpa-org-contrib
	, texlive-latex-extra
	, texlive-fonts-recommended
	, texinfo
	, xprintidle
Enhances: emacs
Breaks: org-mode (<< 9.0.9+dfsg-2)
Provides: org-mode
Description: Keep notes, maintain ToDo lists, and do project planning in emacs
 Org-mode is a mode for keeping notes, maintaining ToDo lists, and
 doing project planning with a fast and effective plain-text system.
 .
 Org-mode develops organizational tasks around NOTES files that contain
 information about projects as plain text. Org-mode is implemented on
 top of outline-mode, which makes it possible to keep the content of
 large files well structured. Visibility cycling and structure editing
 help to work with the tree. Tables are easily created with a built-in
 table editor. Org-mode supports ToDo items, deadlines, time stamps,
 and scheduling. It dynamically compiles entries into an agenda. Plain
 text URL-like links connect to websites, emails, Usenet messages,
 BBDB entries, and any files related to the projects. For printing and
 sharing of notes, an Org-mode file can be exported as a structured
 ASCII file, HTML, and LaTeX.

Package: org-mode
Architecture: all
Depends: ${misc:Depends}, elpa-org
Description: Transition Package, org-mode to elpa-org
 The Org emacs addon has been elpafied. This dummy package
 helps ease transition from org-mode to elpa-org.

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|dfsh|ds|deb)(\.?\d+)?$//,\
repacksuffix=+dfsg \
  https://git.savannah.gnu.org/cgit/emacs/org-mode.git/refs/ \
  .*/org-mode-release_(.+)\.tar\.gz

# Please continue to check for new non-DFSG files, and update
# d/changelog's Files-Excluded as needed.

## org-mode 9.7.34+dfsg

=== debian/changelog ===
org-mode (9.7.34+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Declare Standards-Version: 4.7.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 06 Sep 2025 20:28:31 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with elpa

override_dh_auto_build:
	emacs -Q --batch --chdir=lisp -L .                              \
                -l org-compat.el -l ../mk/org-fixup.el                  \
                --eval "(let ((v (replace-regexp-in-string              \
                                        \"\\\\+.+\\\\'\"                \
                                        \"\"                            \
                                        \"$(DEB_VERSION_UPSTREAM)\")))  \
				(org-make-org-version v v))"

override_dh_auto_clean:
	rm -f lisp/org-version.el

override_dh_auto_test:

override_dh_auto_install:
	dh_installchangelogs etc/ORG-NEWS

## org-mode 9.7.36+dfsg

=== etc/Makefile ===
ETCDIRS = styles schema csl
-include local.mk	# optional local customization

.NOTPARALLEL:	# always run this make serially
.SUFFIXES:	# we don't need default suffix rules
ifeq ($(MAKELEVEL), 0)
  $(error This make needs to be started as a sub-make from the toplevel directory.)
endif

.PHONY:		all install clean cleanall clean-install

all:

install:	$(ETCDIRS)
	for dir in $? ; do \
	  if [ ! -d $(DESTDIR)$(datadir)/$${dir} ] ; then \
	    $(MKDIR) $(DESTDIR)$(datadir)/$${dir} ; \
	  fi ; \
	  $(CP) $${dir}/* $(DESTDIR)$(datadir)/$${dir} ; \
	done ;

clean:

cleanall:

clean-install:	$(ETCDIRS)
	for dir in $? ; do \
	  if [ -d $(DESTDIR)$(datadir)/$${dir} ] ; then \
	    $(RMR) $(DESTDIR)$(datadir)/$${dir} ; \
	  fi ; \
	done ;

=== debian/changelog ===
org-mode (9.7.36+dfsg-1) unstable; urgency=medium

  * Upstream broke our watchfile, which uses release tarballs, so switch
    to using git mode.
  * New upstream version.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 08 Nov 2025 18:45:22 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Diane Trout <diane@ghic.org>,
 Build-Depends: debhelper-compat (= 13), dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode

=== debian/watch ===
version=4
opts=\
mode=git,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
repack,repacksuffix=+dfsg,compression=xz \
  https://git.savannah.gnu.org/git/emacs/org-mode.git refs/tags/release_([\d.]+)

# Please continue to check for new non-DFSG files, and update
# d/changelog's Files-Excluded as needed.
